QGIS Application - Bug report #16018
Processing: numeric field are discarded and replaced with zero
2016-12-29 01:33 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23933
Description

See:

http://lists.osgeo.org/pipermail/qgis-developer/2016-December/046390.html

The only way is to enter something is to click on "..." button, enter desired value in the expression dialog and close it by pressing OK.

Seems this is a general Processing bug and if I'm not wrong it worked fine before parameters refactoring.

History

#1 - 2016-12-29 04:24 PM - Patrick Dunford

Appears similar to 16020 | just filed.

#2 - 2017-04-29 07:52 AM - Arnaud Morvan

This comes from QgsDoubleSpinBox and QgsSpinBox, easy to reproduce : change the rotation of the canvas by typing into the lineedit, put the focus
outside and the change disapear.

It seems that this appends on ubuntu 16.04 with Qt 5.5.1 but not on ubuntu 16.10 with Qt 5.6.1.

#3 - 2017-04-30 05:08 PM - Giovanni Manghi
- Regression? set to Yes

#4 - 2017-04-30 05:08 PM - Giovanni Manghi
- Priority changed from Severe/Regression to High

#5 - 2017-05-01 01:10 AM - Giovanni Manghi
- Easy fix? set to No

#6 - 2017-10-30 05:48 AM - Nyall Dawson
- Description updated
- Status changed from Open to Feedback

Should have been fixed by commit:c176a8bfb0f7f25edea15069318f769e7c9c82b - please confirm
http://lists.osgeo.org/pipermail/qgis-developer/2016-December/046390.html

#7 - 2017-11-02 12:40 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
